package wp_wecom

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type SendMsgByChanLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewSendMsgByChanLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SendMsgByChanLogic {
	return &SendMsgByChanLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *SendMsgByChanLogic) SendMsgByChan(req *types.WpWecomMsgReq) (resp *types.BaseMsgResp, err error) {
	// todo: add your logic here and delete this line

	return
}
